'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Text = require('./Text');

var _Text2 = _interopRequireDefault(_Text);

var _Image = require('./Image');

var _Image2 = _interopRequireDefault(_Image);

var _Video = require('./Video');

var _Video2 = _interopRequireDefault(_Video);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Book = function (_React$PureComponent) {
  _inherits(Book, _React$PureComponent);

  function Book() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, Book);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = Book.__proto__ || Object.getPrototypeOf(Book)).call.apply(_ref, [this].concat(args))), _this), _this.renderIcon = function () {
      if (_this.props.type === 'image') {
        return _react2.default.createElement(_Image2.default, null);
      }

      if (_this.props.type === 'video') {
        return _react2.default.createElement(_Video2.default, null);
      }

      return _react2.default.createElement(_Text2.default, null);
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(Book, [{
    key: 'render',
    value: function render() {
      var size = this.props.size;

      return _react2.default.createElement(
        'svg',
        { xmlns: 'http://www.w3.org/2000/svg', width: size, height: size, viewBox: '0 0 64 64' },
        _react2.default.createElement(
          'g',
          { fill: 'none', fillRule: 'evenodd' },
          _react2.default.createElement('path', { fill: '#49497F', fillRule: 'nonzero', d: 'M45 47.41c-.091 3.139-2.807 5.615-6.072 5.535H10.757C7.577 52.945 5 50.467 5 47.41V16.485c0-3.057 2.577-5.536 5.757-5.536h28.17c3.266-.08 5.982 2.396 6.073 5.536V47.41z' }),
          _react2.default.createElement('path', { fill: '#F6F6F6', fillRule: 'nonzero', d: 'M42.998 45.223c.08 2.95-2.38 5.405-5.495 5.482H11.018a4.392 4.392 0 0 1-3.011-1.234 3.937 3.937 0 0 1-1.202-2.893V13.232a3.937 3.937 0 0 1 1.202-2.893 4.392 4.392 0 0 1 3.011-1.234h26.485c3.115.077 5.575 2.531 5.495 5.482v30.636z' }),
          _react2.default.createElement(
            'g',
            { fillRule: 'nonzero' },
            _react2.default.createElement('path', { fill: '#F06361', d: 'M23 5.292V56l-3.79-1.693L15.422 56l-.04-50.708z' }),
            _react2.default.createElement('path', { fill: '#C64757', d: 'M13.593 3h7.64L23 5.292H11.867S11.852 3 13.593 3z' }),
            _react2.default.createElement('path', { fill: '#F06361', d: 'M13.625 3h7.615S23 3 23 5.292h-7.59S15.425 3 13.625 3z' })
          ),
          _react2.default.createElement('path', { fill: '#D6D6D6', fillRule: 'nonzero', d: 'M42.998 42.778c.066 2.942-2.39 5.381-5.495 5.459H9.73a3.383 3.383 0 0 0-2.072.69c-.399-.472-.853-1.026-.853-2.718V11.477a4.586 4.586 0 0 1 1.408-3.364 5.115 5.115 0 0 1 3.508-1.429h25.782c3.115.077 5.575 2.531 5.495 5.482v30.612z' }),
          _react2.default.createElement('path', { fill: '#BBB', fillRule: 'nonzero', d: 'M43.194 41.112c.08 2.95-2.38 5.405-5.495 5.482H11.917c-2.203 0-4.07.354-4.692 1.668C7.063 47.75 7 46.865 7 47.278V9.804a4.585 4.585 0 0 1 1.403-3.37A5.115 5.115 0 0 1 11.917 5h25.782c3.115.077 5.575 2.531 5.495 5.482v30.63z' }),
          _react2.default.createElement('path', { fill: '#7878CB', fillRule: 'nonzero', d: 'M45 37.754c-.091 2.992-2.807 5.352-6.072 5.275H10.757C7.58 43.03 5 44.43 5 47V10.277c0-2.913 2.577-5.275 5.757-5.275h28.17c3.266-.076 5.982 2.283 6.073 5.275v27.477z' }),
          _react2.default.createElement(
            'g',
            { fill: '#FFF' },
            _react2.default.createElement('path', { d: 'M25.494 32c-4.07.06-7.42-3.454-7.494-7.862 0-1.18.884-2.138 1.974-2.138 1.09 0 1.974.957 1.974 2.138 0 2.124 1.59 3.846 3.552 3.846s3.552-1.722 3.552-3.846c0-1.18.884-2.138 1.974-2.138 1.09 0 1.974.957 1.974 2.138-.073 4.408-3.424 7.922-7.494 7.861M31.003 20a2.018 2.018 0 0 1-1.418-.59A1.983 1.983 0 0 1 29 17.996a2.001 2.001 0 0 1 4 0c0 .534-.211 1.043-.585 1.412-.38.377-.885.588-1.412.591M20.003 20a2.018 2.018 0 0 1-1.418-.591A1.985 1.985 0 0 1 18 17.996c0-.533.211-1.043.585-1.412a2.006 2.006 0 0 1 2.83 0c.374.369.585.879.585 1.412 0 .534-.211 1.044-.585 1.413-.38.377-.885.588-1.412.591' })
          ),
          _react2.default.createElement('path', { fill: '#49497F', fillRule: 'nonzero', d: 'M8.532 43.362C6.419 43.954 5 45.148 5 46.855V10.383c.005-1.889 1.348-3.635 3.532-4.59v37.57z', opacity: '.2' }),
          _react2.default.createElement('path', { fill: '#49497F', fillRule: 'nonzero', d: 'M5.983 42a.339.339 0 0 1-.299-.177.285.285 0 0 1 .044-.322 4.94 4.94 0 0 1 1.064-.863.361.361 0 0 1 .36-.054c.121.049.2.157.201.278a.306.306 0 0 1-.194.281c-.342.21-.65.461-.915.75a.35.35 0 0 1-.26.107zm3.51-1.515c-.167-.021-.291-.15-.291-.304 0-.153.124-.283.29-.303.336 0 .672-.029 1.002-.029h.355c.166.021.29.15.29.304 0 .153-.124.283-.29.303H9.517l-.025.029zm28.066 0h-.08a.349.349 0 0 1-.33-.139.284.284 0 0 1 0-.33c.071-.1.2-.155.33-.138h.08c.392 0 .782-.043 1.163-.125a.33.33 0 0 1 .307.231.295.295 0 0 1-.151.336 6.285 6.285 0 0 1-1.319.142v.023zm-2.744 0h-1.331a.349.349 0 0 1-.329-.139.284.284 0 0 1 0-.33c.07-.1.199-.155.329-.138h1.331c.167.02.29.15.29.303s-.123.283-.29.304zm-4 0h-1.332a.349.349 0 0 1-.329-.139.284.284 0 0 1 0-.33c.07-.1.2-.155.329-.138h1.331c.167.02.29.15.29.303s-.123.283-.29.304zm-4.001 0h-1.325c-.167-.021-.29-.15-.29-.304 0-.153.123-.283.29-.303h1.331a.349.349 0 0 1 .329.138c.07.1.07.23 0 .33a.349.349 0 0 1-.329.139h-.006zm-4 0h-1.326c-.166-.021-.29-.15-.29-.304 0-.153.124-.283.29-.303h1.331c.167.02.29.15.29.303s-.123.283-.29.304h-.006zm-4.001 0h-1.326c-.166-.021-.29-.15-.29-.304 0-.153.124-.283.29-.303h1.332c.166.02.29.15.29.303s-.124.283-.29.304h-.006zm-4.001 0h-1.32a.349.349 0 0 1-.328-.139.284.284 0 0 1 0-.33c.07-.1.199-.155.329-.138h1.331c.167.02.29.15.29.303s-.123.283-.29.304h-.012zm26.312-1.254a.336.336 0 0 1-.305-.196.288.288 0 0 1 .081-.332c.314-.265.587-.569.809-.902a.359.359 0 0 1 .434-.065c.141.08.198.243.132.382-.25.369-.553.705-.902 1a.347.347 0 0 1-.243.09l-.006.023zm1.543-3.246c-.185 0-.336-.138-.336-.307v-1.237c.023-.152.165-.265.333-.265s.31.113.333.265v1.214c-.003.163-.145.295-.324.301l-.006.029zm0-3.65c-.185 0-.336-.137-.336-.306v-1.237a.297.297 0 0 1 .152-.3.363.363 0 0 1 .362 0c.11.065.17.182.152.3v1.214c0 .165-.143.3-.324.307l-.006.023zm0-3.648c-.185 0-.336-.138-.336-.307v-1.237a.297.297 0 0 1 .152-.3.363.363 0 0 1 .362 0c.11.065.17.182.152.3v1.214c0 .165-.143.3-.324.307l-.006.023zm0-3.65c-.185 0-.336-.137-.336-.306V23.5a.297.297 0 0 1 .152-.3.363.363 0 0 1 .362 0c.11.064.17.181.152.3v1.214c-.003.163-.145.295-.324.301l-.006.023zm0-3.648c-.185 0-.336-.137-.336-.307v-1.231a.297.297 0 0 1 .152-.3.363.363 0 0 1 .362 0c.11.064.17.181.152.3v1.214c-.016.154-.154.273-.324.278l-.006.046zm0-3.65c-.185 0-.336-.136-.336-.306v-1.231c.023-.152.165-.265.333-.265s.31.113.333.265v1.214c0 .165-.143.3-.324.307l-.006.017zm0-3.648c-.185 0-.336-.137-.336-.307V12.56c.023-.152.165-.265.333-.265s.31.113.333.265v1.214c-.003.163-.145.295-.324.3l-.006.018zM5 11.128l.087-.21a.35.35 0 0 1 .427-.15c.163.06.248.225.195.378-.158.369-.287.748-.385 1.135a.335.335 0 0 1-.324.21v-1.363zm37.331-.663a.337.337 0 0 1-.311-.193 3.973 3.973 0 0 0-.622-.976.289.289 0 0 1 .076-.41.36.36 0 0 1 .453.035c.292.346.528.728.703 1.135a.277.277 0 0 1-.001.235.318.318 0 0 1-.298.18v-.006zm-35.52-1.17a.337.337 0 0 1-.302-.188.286.286 0 0 1 .065-.328c.328-.307.693-.58 1.089-.811.1-.078.24-.095.358-.045s.195.158.195.277c.001.119-.074.227-.192.278a5.413 5.413 0 0 0-.977.721.345.345 0 0 1-.236.097zm32.776-1.322a.368.368 0 0 1-.124 0 5.361 5.361 0 0 0-1.201-.295c-.162-.041-.266-.186-.242-.338.024-.152.167-.265.335-.263.468.059.926.171 1.363.334a.297.297 0 0 1 .159.324.325.325 0 0 1-.283.244l-.007-.006zM10.345 7.69c-.171-.007-.31-.129-.322-.284-.013-.155.104-.294.272-.324.379-.052.761-.079 1.145-.08h.236a.349.349 0 0 1 .329.14c.07.1.07.229 0 .33a.349.349 0 0 1-.329.138h-.267c-.348 0-.696.025-1.04.074l-.024.006zm25.323-.074h-1.363c-.166-.021-.29-.15-.29-.304 0-.153.124-.283.29-.303h1.331a.349.349 0 0 1 .33.138c.07.1.07.23 0 .33a.349.349 0 0 1-.33.139h.032zm-4.001 0h-1.363a.349.349 0 0 1-.328-.139.284.284 0 0 1 0-.33c.07-.1.199-.155.328-.138h1.332c.166.02.29.15.29.303s-.124.283-.29.304h.03zm-4 0H26.31a.349.349 0 0 1-.329-.139.284.284 0 0 1 0-.33c.07-.1.2-.155.329-.138h1.331c.167.02.29.15.29.303s-.123.283-.29.304h.025zm-4.001-.006h-1.357a.349.349 0 0 1-.328-.138.284.284 0 0 1 0-.33c.07-.101.198-.155.328-.14h1.357a.349.349 0 0 1 .328.14c.07.1.07.229 0 .33a.349.349 0 0 1-.328.138zm-4.001 0h-1.356a.349.349 0 0 1-.33-.138.284.284 0 0 1 0-.33c.071-.101.2-.155.33-.14h1.331a.349.349 0 0 1 .329.14c.07.1.07.229 0 .33a.349.349 0 0 1-.329.138h.025zm-4 0h-1.332c-.167-.02-.29-.15-.29-.304 0-.153.123-.282.29-.303h1.331a.349.349 0 0 1 .329.138c.07.101.07.23 0 .33a.349.349 0 0 1-.329.14z', opacity: '.5' })
        ),
        this.renderIcon()
      );
    }
  }]);

  return Book;
}(_react2.default.PureComponent);

Book.defaultProps = {
  size: 64
};

Book.propTypes = {
  size: _propTypes2.default.number,
  type: _propTypes2.default.oneOf(['image', 'text', 'video']).isRequired
};

exports.default = Book;